var currCounter = "{%pipe,SURFBAR_GET_RELOAD_TIME=$content[url_id]%}";
var maxCounter  = "{%pipe,SURFBAR_GET_RELOAD_TIME=$content[url_id]%}";
var counter     = document.getElementById("surfbar_counter");
var points      = document.getElementById("surfbar_points");
var reload      = document.getElementById("surfbar_reload");
var max         = document.getElementById("surfbar_max");
var countDown   = null;

function startStopCounter () {
	if (countDown == null) {
		// Start counter
		document.getElementById("start").innerHTML = "{--MEMBER_SURFBAR_ACTION_PAUSE_SUBMIT--}";
		countDown = window.setInterval("startCounter()", 1000);
	} else {
		document.getElementById("start").innerHTML = "{--MEMBER_SURFBAR_ACTION_UNPAUSE_SUBMIT--}";
		window.clearInterval(countDown);
		countDown = null;
	}
	return false;
}

function init () {
	countDown = window.setInterval("startCounter()", 1000);
	window.setTimeout("initCounter()", 500);
}

function confirm () {
	if (parent.surfbar_url != null) {
		// Is in right frameset
		parent.surfbar_url.location.href = "{%url=surfbar.php?id=$content[url_id]&check=$content[check]&salt=$content[salt]%}";
	} else {
		// Called frame=top directly
		window.location.href = "{%url=surfbar.php%}";
	}
}

function reloadSurfbar () {
	if (parent.surfbar_stats != null) {
		// Is in right frameset
		parent.surfbar_stats.location.reload();
	} else {
		// Called frame=top directly
		window.location.href = "{%url=surfbar.php%}";
	}
	this.location.reload();
}

function initCounter () {
	if (parent.surfbar_url != null) {
		// Is in right frameset
		parent.surfbar_url.location.href = '{%pipe,SURFBAR_GET_URL=$content[url_id]%}';
	} else {
		// Called frame=top directly
		window.location.href = "{%url=surfbar.php%}";
	}

	counter.innerHTML = "{%pipe,SURFBAR_GET_RELOAD_TIME=$content[url_id]%}";
	points.innerHTML  = "{%pipe,SURFBAR_GET_REWARD,translateComma=$content[url_id]%}";
	reload.innerHTML  = "{%pipe,SURFBAR_GET_USER_LOCKS%}";
	max.innerHTML     = "{%pipe,SURFBAR_GET_TOTAL_URLS%}";
}

function startCounter () {
	if (currCounter < 1) {
		return false;
	}

	currCounter--;
	counter.innerHTML = currCounter;

	if (currCounter == 0) {
		clearInterval(countDown);
		confirm();
		window.setTimeout("reloadSurfbar()", 500);
	}
}

init();
